Subject: RE: [pgww] Uploaded chinese_rhymes.zip Chinese Mother Goose Rhymes
From: "PGDP Gen. Mgr." <[email-masked]>
To: "Matthew D. Wheaton" <[email-masked]>
Cc: [email-masked], "'David Edwards'" <[email-masked]>, "'Project Gutenberg Whitewashers'" <[email-masked]>, [email-masked]
Date: Sat, 11 Aug 2012 22:07:09 -0700 (PDT)

Hi Matthew, Greg, et al,

I am presuming this discussion is regarding illustrated first letters (aka
drop caps)? Our Best Practices for HTML isn't quite ready for public
review yet, but we do cover those. Basically we are recommending using CSS
to show the drop cap imgs in the HTML and hide them from mobile formats
entirely. (Matthew, I'd be happy to point you to our temporary page where
it is explained in more detail--email or PM to me so we don't irritate the
WWers, perhaps?)

If you folks would like to give it a field test and let us know how it
works, that would be an extra bonus. If the work group has made an error
somewhere we would like to know! :)
-----

CSS (please be sure to read the N.B. regarding this solution, below):

@media screen, print  /* so it shows in the HTML version or when printed */
{
  img.drop-cap
  {
    float: left;
    margin: 0 0.5em 0 0;
  }

  p.drop-cap:first-letter
  {
    color: transparent;
    visibility: hidden;
    margin-left: -0.9em;
  }
}
@media handheld  /* hide it from handheld media */
{
  img.drop-cap
  {
    display: none;
  }

  p.drop-cap:first-letter
  {
    color: inherit;
    visibility: visible;
    margin-left: 0;
  }
}

N.B.: The value “transparent” for the “color” property is not included in
CSS 2.1; it was added in CSS 3. It works well in modern browsers, and the
code also works well in most e-readers. If you use this code, however, you
will have to tell the WhiteWashers to validate the CSS as CSS 3 when
uploading your book.

HTML:

<div>
  <img class="drop-cap" src="images/drop-m.png" width="100" height="113"
alt=""/>
</div>

<p class="drop-cap">Marie’s prediction proved a true one, ...</p>

-----

I would be interested in being kept in the loop if possible. (email
dp-genmgr @ pgdp.net)

Thanks!

/louise/
PGDP Gen. Mgr.

Matthew D. Wheaton wrote:
> Thank you for informing me about this problem.  I assume that it is a new
> requirement, and if it is unacceptable, there are a few other books which
> need revision.
>
> -----Original Message-----
> From: Greg Newby [mailto:[email-masked]]
> Sent: Saturday, August 11, 2012 10:55 AM
> To: Matthew Wheaton; David Edwards
> Cc: Project Gutenberg Whitewashers; [email-masked]
> Subject: Re: [pgww] Uploaded chinese_rhymes.zip Chinese Mother Goose
> Rhymes
>
> Matthew,
>
> We've found a serious problem with the formatting of this submission.
> It looks like your use of the "hide" characteristic results in the initial
> character not being displayed under some circumstances, for the rhymes.
>>From the CSS:
>
>   span.hide {
>     display:none
>   }
>
> This cuts the first letter in epub/mobi after auto-conversion from HTML
> (i.e.,http://epubmaker.pglaf.org), and the HTML does't seem to display
> correctly in IE9 when browsed online.
>
> As you might know, the process of updating the DP HTML procedures is
> ongoing.  As such, some of the guidance from the PG WWers is not yet
> automated at DP or, sometimes, communicated during the DP workflow.
>
> What is desired is HTML that displays on all devices.  And, that converts
> properly to the various derivative formats.